Skip to main content
GET
/
v1
/
projects
List projects
curl --request GET \
  --url https://capy.ai/api/v1/projects \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "taskCode": "<string>",
      "repos": [
        {
          "repoFullName": "<string>",
          "branch": "<string>"
        }
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API token (capy_xxxx). Generate at capy.ai/settings/tokens

Query Parameters

limit
integer
default:20
required
Required range: 1 <= x <= 100
cursor
string

Response

Success

items
object[]
required
nextCursor
string | null
required
hasMore
boolean
required